package com.yem.wm.im.transferorder.op;

import com.yem.wm.im.transferorder.vaildator.TransFerOrderSubmitMustInputValidator;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;

import java.util.List;

/**
 * @Description: 调拨订单申请单提交必录校验，配置的校验不生效
 * @Date: 2024/5/30 14:25
 * @Created: by ZZSLL
 */

public class TransFerOrderSubmitMustInputOp extends AbstractOperationServicePlugIn {

    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        super.onPreparePropertys(e);
        e.getFieldKeys().addAll(this.billEntityType.getAllFields().keySet());
    }

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);
        e.addValidator(new TransFerOrderSubmitMustInputValidator());
    }
}
